## ros-kinetic-calibration-launch 0.10.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(calibration_launch)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

install(FILES capture_data/annotated_viewer.launch
              capture_data/chain_settler.launch
              capture_data/kinect_pipeline.launch
              capture_data/monocam_pipeline.launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/capture_data
)

install(PROGRAMS scripts/urdf_pub.py
                 scripts/capture_exec.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-calibration-launch (0.10.14-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 15 Apr 2016 22:00:00 -0000

ros-kinetic-calibration-launch (0.10.13-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Dec 2014 23:00:00 -0000

ros-kinetic-calibration-launch (0.10.12-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 20 Sep 2014 22:00:00 -0000

ros-kinetic-calibration-launch (0.10.11-0xenial) xenial; urgency=high

  * change launch file location
  * add warning when no sample is found
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 19 Sep 2014 22:00:00 -0000

ros-kinetic-calibration-launch (0.10.10-0xenial) xenial; urgency=high

  * Export architecture_independent flag in package.xml
  * Contributors: Scott K Logan

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 05 May 2014 22:00:00 -0000

ros-kinetic-calibration-launch (0.10.9-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 08 Apr 2014 22:00:00 -0000

ros-kinetic-calibration-launch (0.10.8-0xenial) xenial; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Mar 2014 23:00:00 -0000

ros-kinetic-calibration-launch (0.10.5-0xenial) xenial; urgency=high

  * fix bad install

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 30 Nov 2013 23:00:00 -0000

ros-kinetic-calibration-launch (0.10.4-0xenial) xenial; urgency=high

  * fix calibration_executive to work with the new urdf_python #20

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 29 Nov 2013 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-calibration-launch
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/calibration_launch
Standards-Version: 3.9.2

Package: ros-kinetic-calibration-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-interval-intersection, ros-kinetic-joint-states-settler, ros-kinetic-laser-cb-detector, ros-kinetic-monocam-settler, ros-kinetic-urdfdom-py
Description: This package contains a collection of launch files that can be helpful in configuring the calibration stack to run on your robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-calibration-launch//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
